> For the complete documentation index, see [llms.txt](https://docs.oneroute.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneroute.io/whatsapp-api/endpoints/fetch-channel-templates.md).

# Fetch Channel Templates

## Fetch WhatsApp Channel Templates

<mark style="color:blue;">`GET`</mark> `https://api.oneroute.io/api/public/channel/:id/templates`

This endpoint allows you to fetch saved templates for a Whatsapp channel.

#### Path Parameters

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| id (Required) | string | id of the channel |

#### Headers

| Name   | Type   | Description                |
| ------ | ------ | -------------------------- |
| apiKey | string | API Key for authentication |

{% tabs %}
{% tab title="200 " %}

```
{
    "body": [
        {
            "category": "ALERT_UPDATE",
            "components": [
                {
                    "example": {
                        "body_text": [
                            [
                                "Michael"
                            ]
                        ]
                    },
                    "text": "Hi {{1}}! We would like to send you a message. Please reply “Yes” if you wish to continue this conversation.",
                    "type": "BODY"
                }
            ],
            "language": "en_GB",
            "name": "new_conversation",
            "namespace": "500jdnc_d0f3_4ds8_ab88_dhndif39993",
            "rejected_reason": null,
            "status": "submitted"
        }
    ],
    "message": "Channel Templates fetched successfully",
    "success": true
}
```

{% endtab %}

{% tab title="401 " %}

```
{
    "data": null,
    "message": "Invalid API Key",
    "success": false
}
```

{% endtab %}
{% endtabs %}
